### Method

# Ide EditorSearch set_replacement_text

#### Declaration

    void
    ide_editor_search_set_replacement_text (
      IdeEditorSearch* self,
      const gchar* replacement_text
    )

#### Description

This sets the text to use when performing search and replace. See `ide_editor_search_replace()` or `ide_editor_search_replace_all()` to perform one or more replacements.

If `IdeEditorSearch:regex-enabled` is set, then you may reference regex groups from the regex in `IdeEditorSearch:search-text`.

Available since: | 3.32

Sets property | `Ide.EditorSearch:replacement-text`

#### Parameters

`replacement_text` | `const gchar*`
| The text to use in replacement operations.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.